key
ksort
Array Functions
PHP Manual

# krsort

(PHP 4, PHP 5)

krsort — Sort an array by key in reverse order

### Description

bool krsort ( array `&$array` [, int `$sort_flags` = SORT_REGULAR ] )

Sorts an array by key in reverse order, maintaining key to data correlations. This is useful mainly for associative arrays.

### Parameters

`array`

  The input array.

`sort_flags`

  You may modify the behavior of the sort using the optional parameter `sort_flags` , for details see sort().

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 krsort() example

`<?php
$fruits = array("d"=>"lemon", "a"=>"orange", "b"=>"banana", "c"=>"apple");
krsort($fruits);
foreach ($fruits as $key => $val) {
echo "$key = $val\n";
}
?>`

The above example will output:

    d = lemon
    c = apple
    b = banana
    a = orange

### See Also

- arsort() - Sort an array in reverse order and maintain index association
- ksort() - Sort an array by key
- The comparison of array sorting functions

key
ksort
Array Functions
PHP Manual